<?php

namespace Werewr\Ewr;

use User;

class Ewr
{
    /**
     * $menu object.
     */
    protected $menu;

    /**
     * Constructor.
     */
    public function __construct(\Werewr\Ewr\Interfaces\MenuRepositoryInterface $menu)
    {
        $this->menu = $menu;
    }

    /**
     * Returns count of ewr.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.menu.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->menu->pushCriteria(new \Litepie\Werewr\Repositories\Criteria\MenuUserCriteria());
        }

        $menu = $this->menu->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('ewr::' . $view, compact('menu'))->render();
    }
}
