<?php

namespace Werewr\Ewr\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Werewr\Ewr\Interfaces\MenuRepositoryInterface;

class MenuPublicController extends BaseController
{
    // use MenuWorkflow;

    /**
     * Constructor.
     *
     * @param type \Werewr\Menu\Interfaces\MenuRepositoryInterface $menu
     *
     * @return type
     */
    public function __construct(MenuRepositoryInterface $menu)
    {
        $this->repository = $menu;
        parent::__construct();
    }

    /**
     * Show menu's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $menus = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('ewr::public.menu.index', compact('menus'))->render();
    }

    /**
     * Show menu.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $menu = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('ewr::public.menu.show', compact('menu'))->render();
    }

}
